commit:     9da848e1628ded24e58b9bc548b966ac90872c51
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 16 18:08:39 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Aug 21 08:28:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9da848e1

dev-python/joblib: version bump.

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/joblib/Manifest             |  1 +
 dev-python/joblib/joblib-0.12.2.ebuild | 45 ++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/joblib/Manifest b/dev-python/joblib/Manifest
index b0e4281a434..a85cb8c113d 100644
--- a/dev-python/joblib/Manifest
+++ b/dev-python/joblib/Manifest
@@ -1,2 +1,3 @@
 DIST joblib-0.10.0.tar.gz 480797 BLAKE2B 
68ec29df4470e69a430a329f85b96448d29e11d09b9fcee03451ed9d0607ab61af4db6b0973c6a56c49a12120c082dca056d5fb37d88ae1e53c40b8d9a5e2d6d
 SHA512 
a1f06c531973cb6f8af2c3fa62eaa18204a16ddc56b05de38cf84f7882f4820d30306f4aba52241f57f43c46c2b2bdd6c66459cf6bfa9c893b5750ac059c41a9
 DIST joblib-0.11.tar.gz 213136 BLAKE2B 
f23260ff16fab1ec775fe6e31c824f33cd6c465bceb84a7c7e0aff4ab4a4006b5f13d22d4c969b111aeb440dfc292e41ab7273a9fb7f1c9b337b4fa0e8b52d4e
 SHA512 
8374a1e2445b9734a5af1d9f17fda057722f4e9e257819084aa7028866a8780f358fcbab131b13c2af315bbd953f8474e4ea698efdeda2be8699c3c471d9465a
+DIST joblib-0.12.2.tar.gz 289249 BLAKE2B 
247a8bce753ece235877540b829bdc9546b3a6d7610b09592217bf9d47fd038a5e75f649224b76832825e77d76ae46443984de3d83558cdbd4d816d8f610e8b0
 SHA512 
9bf93c89681f59d17e735c228d3379df5dff67b4365b59ddea1a062f9547c376e5870e4ece83af8e7cda1ae30e2a2893a4a009e03b7fec798d3574e8ab060267

diff --git a/dev-python/joblib/joblib-0.12.2.ebuild 
b/dev-python/joblib/joblib-0.12.2.ebuild
new file mode 100644
index 00000000000..03283be1da5
--- /dev/null
+++ b/dev-python/joblib/joblib-0.12.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Tools to provide lightweight pipelining in Python"
+HOMEPAGE="https://pythonhosted.org/joblib/
+       https://github.com/joblib/joblib";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND=""
+
+python_compile_all() {
+       if use doc; then
+               sphinx-build -b html -c doc/ doc/ doc/html || die "docs failed 
installation"
+       fi
+}
+
+python_test() {
+       # https://github.com/joblib/joblib/issues/143
+       if [[ "${EPYTHON}" == pypy ]]; then
+               sed -e 's:test_func_inspect_errors:_&:' -i 
${PN}/test/test_func_inspect.py || die
+               sed -e 's:test_parallel_pickling:_&:' -i 
${PN}/test/test_parallel.py || die
+       fi
+
+       py.test -v
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to